import { css as e } from "styled-components";
const s = (t) => `
    top: ${t.spacing.s04};
    flex-flow: column nowrap;
  `, n = (t) => `
    bottom: ${t.spacing.s04};
    flex-flow: column-reverse nowrap;
  `, r = (t) => `
    left: ${t.spacing.s02};
  `, i = () => `
    left: 50%;
    transform: translateX(-50%);
  `, c = (t) => `
    right: ${t.spacing.s02};
  `, a = (t, o) => {
  switch (t) {
    case "top":
    case "bottom":
      return i();
    case "top-left":
    case "bottom-left":
      return r(o);
    case "top-right":
    case "bottom-right":
      return c(o);
    default:
      return "Invalid position!";
  }
}, l = (t, o) => {
  switch (t) {
    case "top":
    case "top-left":
    case "top-right":
      return s(o);
    case "bottom":
    case "bottom-left":
    case "bottom-right":
      return n(o);
    default:
      return "Invalid position!";
  }
}, p = (t, o) => e`
    ${l(t, o)}
    ${a(t, o)}
  `;
export {
  p as getToastPosition
};
